com.io7m.jcamera

## Class JCameraViewMatrix

- java.lang.Object
- - com.io7m.jcamera.JCameraViewMatrix

-     @EqualityReference
      public final class JCameraViewMatrix
      extends Object

  Functions to produce view matrices.

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static com.io7m.jtensors.core.unparameterized.matrices.Matrix4x4D` | `makeViewMatrix(com.io7m.jtensors.core.unparameterized.vectors.Vector3D position, com.io7m.jtensors.core.unparameterized.vectors.Vector3D right, com.io7m.jtensors.core.unparameterized.vectors.Vector3D up, com.io7m.jtensors.core.unparameterized.vectors.Vector3D forward)` Construct a view matrix for the given axes.
    `static <T0,T1> com.io7m.jtensors.core.parameterized.matrices.PMatrix4x4D<T0,T1>` | `makeViewPMatrix(com.io7m.jtensors.core.unparameterized.vectors.Vector3D position, com.io7m.jtensors.core.unparameterized.vectors.Vector3D right, com.io7m.jtensors.core.unparameterized.vectors.Vector3D up, com.io7m.jtensors.core.unparameterized.vectors.Vector3D forward)` Construct a view matrix for the given axes.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### makeViewMatrix

          public static com.io7m.jtensors.core.unparameterized.matrices.Matrix4x4D makeViewMatrix(com.io7m.jtensors.core.unparameterized.vectors.Vector3D position,
                                                                                                  com.io7m.jtensors.core.unparameterized.vectors.Vector3D right,
                                                                                                  com.io7m.jtensors.core.unparameterized.vectors.Vector3D up,
                                                                                                  com.io7m.jtensors.core.unparameterized.vectors.Vector3D forward)

      Construct a view matrix for the given axes.
      Parameters:
        `position` - The camera position
        `right` - The right axis
        `up` - The up axis
        `forward` - The forward axis
      Returns:
        A view matrix

    - #### makeViewPMatrix

          public static <T0,T1> com.io7m.jtensors.core.parameterized.matrices.PMatrix4x4D<T0,T1> makeViewPMatrix(com.io7m.jtensors.core.unparameterized.vectors.Vector3D position,
                                                                                                                 com.io7m.jtensors.core.unparameterized.vectors.Vector3D right,
                                                                                                                 com.io7m.jtensors.core.unparameterized.vectors.Vector3D up,
                                                                                                                 com.io7m.jtensors.core.unparameterized.vectors.Vector3D forward)

      Construct a view matrix for the given axes.
      Type Parameters:
        `T0` - The source coordinate system
        `T1` - The target coordiante system
      Parameters:
        `position` - The camera position
        `right` - The right axis
        `up` - The up axis
        `forward` - The forward axis
      Returns:
        A view matrix

Copyright © 2017 <code@io7m.com> http://io7m.com